#
# spec file for package knetwalk
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           knetwalk
Version:        17.08.0
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Puzzle game
License:        GPL-2.0+
Group:          Amusements/Games/Board/Puzzle
Url:            http://www.kde.org
Source0:        knetwalk-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  kconfig-devel
BuildRequires:  kconfigwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kcrash-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdoctools-devel
BuildRequires:  ki18n-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libkdegames-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
Obsoletes:      %{name}5 < %{version}
Provides:       %{name}5 = %{version}
%if %{with lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Turn the board pieces to get all computers connected.

%if %{with lang}
%lang_package
%endif

%prep
%setup -q -n knetwalk-%{version}

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
    %kf5_find_htmldocs
  %endif
  %suse_update_desktop_file -r org.kde.knetwalk KNetwalk "Tactical Game" Game LogicGame

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC
%doc %lang(en) %{_kf5_htmldir}/en/knetwalk/
%{_kf5_applicationsdir}/org.kde.knetwalk.desktop
%{_kf5_bindir}/knetwalk
%{_kf5_iconsdir}/hicolor/*/*/knetwalk.*
%{_kf5_sharedir}/knetwalk/
%{_kf5_kxmlguidir}/knetwalk/

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
